{ config, lib, pkgs, ...}:

{

programs.zsh = {
    enable = true;
    enableCompletion = true;
    autosuggestion.enable = true;
    syntaxHighlighting.enable = true;
    shellAliases = {
        switch = "doas nixos-rebuild switch --flake ~/nixos#cln";
        update = "doas nixos-rebuild switch --flake ~/nixos#cln --upgrade";
    };
    oh-my-zsh = {
        enable = true;
        plugins = [ "ssh" ];
        theme = "agnoster";
    };
    initContent = ''
        pfetch
    '';
};

catppuccin.zsh-syntax-highlighting = {
    enable = true;
    flavor = "mocha";
};  

}
